<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
>

<ui:composition template="simpleArch.xhtml">

    <ui:define name="head">
        <title>Authentification</title>
    </ui:define>

    <ui:define name="content">
        <h:form id="loginForm">
            <h:messages globalOnly="true" />
            <label>Identifiant</label>
            <h:inputText
                id="inpLogin"
                value="#{mbLogin.login}"
                required="true"
                requiredMessage="La saisie de l'identifiant est obligatoire"
            />
            <h:message for="inpLogin" style="color: red" />
            <br />
            <label>Mot de passe</label>
            <h:inputSecret
                    id="inpPassword"
                    value="#{mbLogin.password}"
                    required="true"
                    requiredMessage="La saisie du mot de passe est obligatoire"
            />
            <h:message for="inpPassword" style="color: red" />
            <h:commandButton value="Connexion" action="#{mbLogin.connect()}" />
        </h:form>
    </ui:define>

</ui:composition>

</html>